<?php

require_once 'connect.php';
require_once 'inc/messages.php';
require_once "usuario.php";

$usuario_logado = getLoggedUser();
$id_unid = $usuario_logado['unidade'];

class ReciboCode{

    public $nr_nota   = 0; // numero do Pedido Liberado para impressão do Recibo

	/* Retorna uma consulta para o array */
    function getSQL($consulta){
        global  $conexao;
		$ar_retorno = array();
		$resultado = mysqli_query($conexao, $consulta) or die ($erro = mysqli_error($conexao));
		if (mysqli_num_rows($resultado)>0) {
		    while ($registro = mysqli_fetch_assoc($resultado)){
			    array_push($ar_retorno, $registro);
			}
		}
	    return $ar_retorno;
    }


  // retorna os produtos da nota fiscal
  function getProdutos($nr_comanda) {
    global $conexao;
    global $id_unid;

	 $sql = "select * 
	            from vw_erpc_comanda_geraxml_produtos 
	            where xComanda = " . $nr_comanda . "
	            and id_unidade = " . $id_unid;
	
	 $r_produtos = $this->getSQL($sql);
     /*
     echo "<pre>";
     print_r($r_produtos);
     echo "</pre>";
     exit;
     */
    for ($i=0; $i < count($r_produtos) ; $i++) {
      $p_item = $r_produtos[$i]['cProd'];
    }
    
    return $r_produtos;
  }


}

?>











